/**
* PeerTube
* # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
*
* The version of the OpenAPI document: 2.1.0
* 
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package org.peertube.client.models


import com.squareup.moshi.Json
/**
 * 
 * @param username The user username 
 * @param password The user password 
 * @param email The user email 
 * @param videoQuota The user videoQuota 
 * @param videoQuotaDaily The user daily video quota 
 * @param role The user role (Admin = 0, Moderator = 1, User = 2)
 */

data class AddUser (
    /* The user username  */
    @Json(name = "username")
    val username: kotlin.String,
    /* The user password  */
    @Json(name = "password")
    val password: kotlin.String,
    /* The user email  */
    @Json(name = "email")
    val email: kotlin.String,
    /* The user videoQuota  */
    @Json(name = "videoQuota")
    val videoQuota: kotlin.String,
    /* The user daily video quota  */
    @Json(name = "videoQuotaDaily")
    val videoQuotaDaily: kotlin.String,
    /* The user role (Admin = 0, Moderator = 1, User = 2) */
    @Json(name = "role")
    val role: AddUser.Role
) 


{
    /**
    * The user role (Admin = 0, Moderator = 1, User = 2)
    * Values: _0,_1,_2
    */
    
    enum class Role(val value: kotlin.Int){
        @Json(name = 0) _0(0),
        @Json(name = 1) _1(1),
        @Json(name = 2) _2(2);
    }
}

